Skip to main content
Version: 3.2

Transition a remote-action: cancel

PUT 

/api/v3/remote-pos/{source_pid}/remote-action/{remoteaction_uuid}:cancel

This endpoint must be used by the source to cancel an operation.

Request​

Responses​

Example
{
"success": true,
"data": {
"id": 7,
"uuid": "f93d880f-8191-4306-a6f6-1e8e72553383",
"sourcePid": "210100010001",
"targetPid": "200100010001",
"groupId": 829,
"groupName": "Group GRID X",
"remoteActionStatusId": 500,
"remoteActionStatus": "Cancelled",
"remoteActionStatusAt": "2026-02-25T09:48:31.000000Z",
"remoteActionTypeId": 10,
"remoteActionType": "PURCHASE",
"updatedAt": "2026-02-25T09:48:31.000000Z",
"createdAt": "2026-02-25T09:48:23.000000Z",
"webHook": "http://your.domain/testhook",
"linkedObjectType": null,
"linkedObjectId": null,
"details": {
"requestedAmount": 2,
"paidAmount": null,
"shouldPrintReceipt": 0,
"allowedPaymentMethodIds": [
20
],
"orderUuid": null,
"operations": null
}
}
}